<?php
/*  Copyright 2006 Vincent Prat

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
?>

<?php 
	if (!isset($_POST['show_symbol']) 
		|| !isset($_POST['hide_symbol']) 
		|| !isset($_POST['effect']) 
		|| !isset($_POST['no_child_symbol'])) {
?>
<div class="wrap">
	<div id="message" class="error">
		<p><strong><?php _e('Missing option values!', ENHANCED_CATEGORIES_I18N_DOMAIN) ?></strong></p>
	</div>
</div>
<?php
	} else {
		$show_symbol = $_POST['show_symbol'];
		$hide_symbol = $_POST['hide_symbol'];
		$no_child_symbol = $_POST['no_child_symbol'];
		
		$show_symbol = str_replace("\"", "'", $show_symbol);
		$hide_symbol = str_replace("\"", "'", $hide_symbol);
		$no_child_symbol = str_replace("\"", "'", $no_child_symbol);
		
		enh_cats_set_show_symbol($show_symbol);
		enh_cats_set_hide_symbol($hide_symbol);
		enh_cats_set_no_child_symbol($no_child_symbol);
		enh_cats_set_effect($_POST['effect']);
		enh_cats_set_show_count($_POST['show_count']!='' ? 1 : 0);
		enh_cats_set_show_rss($_POST['show_rss']!='' ? 1 : 0);
		enh_cats_set_hide_empty($_POST['hide_empty']!='' ? 1 : 0);
		
		echo '<meta content="0; URL=options-general.php?page=enhanced-categories/enhanced-categories_options_page.php&msg=set" http-equiv="Refresh" />';
		exit;
	}
?>